Install Ruby pada OS Windows Vista Home Edition

1. ketik cmd pada kotak dialog run
2. gem install rails –include-dependencies

Find Problems! when install |this report|

C:\ruby>gem install rails –include-dependencies
ERROR: While executing gem … (RuntimeError)
Error instaling rails:
rails requires activesupport = 2.2.3

-kesimpulan : ternyata si rails butuh activesupport versi 2.2.3
install activesupport

next install activesupport version 2.2.3
run command prompt/cmd

C:\ruby>gem install activesupport –include-dependencies
Successfully installed activesupport, version 2.2.3
Installing ri documentation for activesupport-2.2.3…
Installing RDoc documentation for activesupport-2.2.3…

kemudian ulangi perintah install ruby:

C:\ruby>gem install rails –include-dependencies
ERROR: While executing gem … (RuntimeError)
Error instaling rails:
rails requires activerecord = 2.2.3

kesimpulan : rails butuh activerecord versi 2.2.3…

.next error:
.
.

C:\ruby>gem install rails –include-dependencies
Successfully installed rails, version 2.2.3